﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Vintagestory.API.Client;
using Vintagestory.API.Server;
using Vintagestory.API.Config;
using Vintagestory.API.Common;
using Vintagestory.API.Common.Entities;
using Vintagestory.API.MathTools;
using Vintagestory.API.Util;
using Vintagestory.GameContent;
using Vintagestory.API.Datastructures;

namespace kosfire
{
    public class KosFireMod : ModSystem
    {
        public override void Start(ICoreAPI api)
        {
            base.Start(api);
            api.RegisterItemClass("ItemPhosphorusMatch", typeof(ItemPhosphorusMatch));
            api.RegisterItemClass("ItemDynamiteStick", typeof(ItemDynamiteStick));

            api.RegisterEntity("EntityThrownDynamite", typeof(EntityThrownDynamite));


            /*if (api is ICoreServerAPI sapi)
            {
                sapi.World.Logger.StoryEvent("kosFireMod loaded");
            }*/
        }
    }
}
